package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.service.BscEnterpriseAutonomyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 企业自主管理大屏统计（全部） 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-10-09
 */
@RestController
@RequestMapping("/bscEnterpriseAutonomy")
public class BscEnterpriseAutonomyController {

    @Autowired
    private BscEnterpriseAutonomyService bscEnterpriseAutonomyService;

    /**
     * 企业自主管理大屏统计-全部单位数据查询
     *
     * @param moduleType 模块类型
     * @param dataType   数据类型
     * @return
     */
    @GetMapping("enterpriseAutonomy")
    public ApiResult<Object> enterpriseAutonomy(@RequestParam(value = "dataType") String dataType,
                                                @RequestParam(value = "moduleType") String moduleType) {
        return ApiResult.success(bscEnterpriseAutonomyService.enterpriseAutonomy(moduleType, dataType));
    }


    /**
     * 企业自主管理大屏统计(全部)-手动生成数据
     *
     * @return
     */
    @GetMapping("streetCompany")
    public ApiResult<Void> streetCompany() {
        bscEnterpriseAutonomyService.enterpriseAutonomyTask();
        return ApiResult.success();
    }
}

