package com.usky.fire.controller.web;


import com.usky.fire.service.BscEnterpriseAutonomyService;
import com.usky.fire.service.BscEnterpriseScreenService;
import com.usky.fire.service.BscEnterpriseStreetTownService;
import com.usky.fire.service.MhPostInspectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author JCB
 * @since 2022-08-08
 */
@EnableScheduling
@Component
public class TaskController {
    @Autowired
    private MhPostInspectService mhPostInspectService;

    @Autowired
    private BscEnterpriseScreenService bscEnterpriseScreenService;

    @Autowired
    private BscEnterpriseAutonomyService bscEnterpriseAutonomyService;

    @Autowired
    private BscEnterpriseStreetTownService bscEnterpriseStreetTownService;

    //    @Scheduled(cron = "0/5 * *  * * ?") // 间隔5秒执行
    @Scheduled(cron = "0 0/5 * * * ? ") // 间隔5分钟执行
    public void task() {
        System.out.println(Thread.currentThread().getName() + "定时任务执行中");
        mhPostInspectService.postInspectAnswerRequest();
    }

    //    @Scheduled(cron = "0 0 * * * ? ")//每小时
    @Scheduled(cron = "0 0 1 * * ? ")//每天凌晨1点
    public void task1() {
        System.out.println(Thread.currentThread().getName() + "大屏定时任务执行中");
        bscEnterpriseScreenService.dataSynchro();
    }

    @Scheduled(cron = "0 0 2 * * ? ")//每天凌晨2点
    public void task2() {
        System.out.println(Thread.currentThread().getName() + "企业自主管理(全、街道)大屏定时任务执行中");
        bscEnterpriseAutonomyService.enterpriseAutonomyTask();
        bscEnterpriseStreetTownService.enterpriseStreetTownTask();
    }

}

