package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.BaseCompanyPerson;

import java.util.Map;

/**
 * <p>
 * 联网单位消防人员信息 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-24
 */
public interface BaseCompanyPersonService extends CrudService<BaseCompanyPerson> {

    /**
     * 值班查岗-查岗单位及记录数据查询列表查询接口（闵行支队、企业版）
     *
     * @param companyCode 单位编号
     * @param companyName 单位名称
     * @param pageNum     当前页
     * @param pageSize    每页条数
     * @return
     */
    CommonPage<BaseCompanyPerson> baseCompanyPersonList(String companyCode, String companyName, Integer pageNum, Integer pageSize);

    /**
     * 值班查岗-主页面响应时间、查岗次数等统计查询接口（闵行支队、企业版）
     *
     * @return
     */
    Map<String, Object> postInspectStatistics();
}
