package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemFileLabel;
import com.usky.fire.domain.DemFireStatistics;
import com.usky.fire.service.vo.DemFireStatisticsVo;
import com.usky.fire.service.vo.ParameterVo;

/**
 * <p>
 * 火灾统计表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
public interface DemFireStatisticsService extends CrudService<DemFireStatistics> {


    /**
     * 火灾数据管理-列表查询
     *
     * @param fireNumber 火灾序号
     * @param labelId    标签ID
     * @param typeId     分类ID
     * @param pageNum    当前页
     * @param pageSize   每页条数
     * @return
     */
    CommonPage<Object> fireAccidentStatistic(String fireNumber, Integer labelId, Integer typeId, Integer id, Integer pageNum, Integer pageSize);

    /**
     * 火灾数据管理-添加标签
     *
     * @param demFileLabel
     */
    void addLabel(DemFileLabel demFileLabel);

    /**
     * 火灾数据管理-绑定弹窗列表查询
     *
     * @param fireNumber     火灾序号
     * @param fireCauseType1 起火原因
     * @param pageNum        当前页
     * @param pageSize       每页条数
     * @return
     */
    CommonPage<Object> fireStatisticList(String fireNumber, String fireCauseType1, Integer pageNum, Integer pageSize);

    /**
     * 火灾数据管理-绑定标签
     *
     * @param parameterVo
     */
    void bindingLabel(ParameterVo parameterVo);

    /**
     * 火灾数据管理-修改
     *
     * @param demFireStatisticsVo
     */
    void updateDemFireStatistics(DemFireStatisticsVo demFireStatisticsVo);

    /**
     * 火灾数据管理-删除
     *
     * @param id  主键ID
     * @param zid 关联表ID
     */
    void delDemFireStatistics(Integer id, Integer zid);

    /**
     * 火灾数据管理-标签操作异常抛出
     *
     * @param demFileLabel
     */
    void abnormalData(DemFileLabel demFileLabel);

    /**
     * 标签-删除
     *
     * @param id 主键ID
     */
    void delDemFileLabel(Integer id);
}
