package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.fire.domain.DemFireStatisticsAttach;
import com.usky.fire.mapper.DemFireStatisticsAttachMapper;
import com.usky.fire.service.DemFireStatisticsAttachService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 火灾统计表附表 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-09-13
 */
@Service
public class DemFireStatisticsAttachServiceImpl extends AbstractCrudService<DemFireStatisticsAttachMapper, DemFireStatisticsAttach> implements DemFireStatisticsAttachService {

    @Override
    public List<DemFireStatisticsAttach> fireAccidentStatistic(List<String> fireNumberList) {
        LambdaQueryWrapper<DemFireStatisticsAttach> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.select(DemFireStatisticsAttach::getFireCauseType1, DemFireStatisticsAttach::getFireSiteType1,
                DemFireStatisticsAttach::getFireNumber, DemFireStatisticsAttach::getId)
                .in(DemFireStatisticsAttach::getFireNumber, fireNumberList);
        List<DemFireStatisticsAttach> list = this.list(queryWrapper);
        return list;
    }
}
